Commit 684138de authored by Pierre's avatar Pierre

darwin_specific: Make sure developer version of VLC.app works.

parent bdbd8588
/*****************************************************************************
* darwin_specific.m: Darwin specific features
*****************************************************************************
......@@ -69,7 +70,7 @@ void system_Init( libvlc_int_t *p_this, int *pi_argc, const char *ppsz_argv[] )
p_char += 26; /* p_char += strlen(" VLCKit.framework/Versions/" ) */
while( *p_char != '\0' && *p_char != '/')
p_char++;
/* If the string ends with VLC then we've found a winner */
if ( !strcmp( p_char, "/VLCKit" ) )
{
......@@ -79,6 +80,16 @@ void system_Init( libvlc_int_t *p_this, int *pi_argc, const char *ppsz_argv[] )
else
p_char = NULL;
}
else {
size_t len = strlen(psz_img_name);
/* Do we end by "VLC"? If so we are the legacy VLC.app that doesn't
* link to VLCKit. */
if( !strcmp( psz_img_name + len - 3, "VLC") )
{
p_char = strdup( psz_img_name );
break;
}
}
}
if ( !p_char )
{
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment